# getFirstLevelModuleDependencies

abstract fun getFirstLevelModuleDependencies(): Set<ResolvedDependency>

Returns the ResolvedDependency instances for each direct dependency of the configuration. Via those you have access to all ResolvedDependency instances, including the transitive dependencies of the configuration.

Prefer org.gradle.api.artifacts.result.ResolutionResult for traversing the resolved graph or getArtifacts for accessing the resolved artifacts.

#### Return

A `ResolvedDependency` instance for each direct dependency.

#### Throws

ResolveException

when the resolve was not successful.